#!/bin/sh
emerge --quiet-build sys-apps/merge-usr
merge-usr

eselect profile set default/linux/amd64/17.1/desktop/systemd/merged-usr

echo 'MAKEOPTS="-j12"' >> /etc/portage/make.conf

USE=-pulseaudio emerge -v media-sound/mpg123

emerge -v rust-bin

emerge -v gentoo-sources
eselect kernel set 1

env FEATURES="-ipc-sandbox -pid-sandbox -sandbox -usersandbox -network-sandbox" \
    emerge --deep --update --newuse --changed-use \
    --with-bdeps=y --usepkg --buildpkg \
    -j 2 -l 12 \
    --quiet-build @world
