#!/bin/sh

MACHINE=netbook

rsync -av 		Dockerfile		10.42.42.101:dev/gentoo_${MACHINE}/
rsync -av 		entrypoint.sh 		10.42.42.101:dev/gentoo_${MACHINE}/
rsync -av 		/var/cache/binpkgs	10.42.42.101:dev/gentoo_${MACHINE}/
rsync -av --delete	/etc/portage		10.42.42.101:dev/gentoo_${MACHINE}/
rsync -av --delete	/var/db/repos		10.42.42.101:dev/gentoo_${MACHINE}/
cp			/var/lib/portage/world	.
rsync -av 		world	 		10.42.42.101:dev/gentoo_${MACHINE}/

ssh 10.42.42.101 "docker image rm -f gentoo/build"
ssh 10.42.42.101 "cd dev/gentoo_${MACHINE} && docker build -t gentoo/build ."
ssh 10.42.42.101 "cd dev/gentoo_${MACHINE} && docker run -v \$PWD/binpkgs:/var/cache/binpkgs -v \$PWD/portage:/etc/portage -v \$PWD/repos:/var/db/repos gentoo/build"

# requires local root to have access to remote user
echo sudo rsync -av 10.42.42.101:/home/solene/dev/gentoo_${MACHINE}/binpkgs/ /var/cache/binpkgs/
